#!/bin/sh

set -eu

patch_elf() {
	obj=$1
	if ! patchelf --print-needed $obj | grep -q -Fx 'libaio.so.1'; then
		echo "skipping $obj"
		return 0
	fi
	echo "patching $obj"
	patchelf $obj --replace-needed 'libaio.so.1' 'libaio.so.1t64'
}

cd $1      || exit 1
[ -d bin ] || exit 1
[ -d lib ] || exit 1

for x in $(find bin/ -type f); do
	patch_elf $x
done
for x in $(find lib/ -name "*.so*" -type f); do
	patch_elf $x
done
